<?php
/**
 * BunnyPress Theme Setup
 *
 */
function bunnypress_theme_style() {
	$bunnypress_parent_style = 'fasterly-style';
	wp_enqueue_style( $bunnypress_parent_style, get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'bunnypress-style', get_stylesheet_uri(), array( $bunnypress_parent_style ));
}
add_action( 'wp_enqueue_scripts', 'bunnypress_theme_style',999);
   	

/*==================================================================================
 BunnyPress  Header Navigation
==================================================================================*/
if ( ! function_exists( 'bunnypress_primary_navigation' ) ) :
function bunnypress_primary_navigation() {
	wp_nav_menu( 
		array(  
			'theme_location' => 'primary_menu',
			'container'  => '',
			'menu_class' => 'main-menu menu-effect-3',
			'fallback_cb' => 'WP_Bootstrap_Navwalker::fallback',
			'walker' => new WP_Bootstrap_Navwalker()
			 ) 
		);
	} 
endif;


/*==================================================================================
 BunnyPress  Custom Header
==================================================================================*/
function bunnypress_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'bunnypress_custom_header_args', array(
		'default-image'          => '',
		'default-text-color'     => '002a34',
		'width'                  => 2000,
		'height'                 => 200,
		'flex-height'            => true,
		'wp-head-callback'       => 'fasterly_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'bunnypress_custom_header_setup' );


/**
 * Remove Customize Panel from parent theme
 */
function bunnypress_remove_parent_setting( $wp_customize ) {
	$wp_customize->remove_control('fasterly_theme_footer_copy_head');	
	$wp_customize->remove_control('fasterly_theme_hs_footer_copy');	
	$wp_customize->remove_control('fasterly_theme_footer_s_head');	
	$wp_customize->remove_control('fasterly_theme_hs_footer_social');
	$wp_customize->remove_control('fasterly_theme_footer_social_ttl');	
	$wp_customize->remove_control('fasterly_theme_footer_social_icons');	
}
add_action( 'customize_register', 'bunnypress_remove_parent_setting',99 );

/**
 * Import Options From Parent Theme
 *
 */
function bunnypress_parent_theme_options() {
	$fasterly_mods = get_option( 'theme_mods_fasterly' );
	if ( ! empty( $fasterly_mods ) ) {
		foreach ( $fasterly_mods as $fasterly_mod_k => $fasterly_mod_v ) {
			set_theme_mod( $fasterly_mod_k, $fasterly_mod_v );
		}
	}
}
add_action( 'after_switch_theme', 'bunnypress_parent_theme_options' );

require get_stylesheet_directory() . '/inc/customizer/customizer-upsale/class-customize.php';